﻿using UnityEngine;
using System.Collections;

public class BulletCollectorScript : MonoBehaviour {

	private BoxCollider2D box;

	void Awake () {
		InitiateVariables ();
	}

	void Start () {
		var height = Camera.main.orthographicSize * 2f;
		var width = height * Screen.width / Screen.height;
		box.size = new Vector2 (width, height);
	}

	void InitiateVariables () {
		box = GetComponent<BoxCollider2D> ();
	}

	void OnTriggerExit2D (Collider2D target) {
		if (target.tag == "Bullet") {
			Destroy (target.gameObject);
		}
	}

}
