﻿using UnityEngine;
using System.Collections;

public class GameController : MonoBehaviour {

	public static GameController instance;


	void Awake () {
		MakeSingleton ();
	}

	void Update () {
	
	}

	void MakeSingleton () {
		if (instance != null) {
			Destroy (gameObject);
		} else {
			instance = this;
			DontDestroyOnLoad (gameObject);
		}
	}

}
