﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class PowerScript : MonoBehaviour {

	public float powerMeter, powerMeterMax;

	[SerializeField]
	private PlayerScript pscript;
	private Image im;

	void Awake () {
		powerMeterMax = pscript.powerMeterMax;
		im = GetComponent<Image> ();
	}

	void Update () {
		powerMeter = pscript.powerMeter;
		im.rectTransform.offsetMax = new Vector2 ((1 - powerMeter / powerMeterMax) * -49, im.rectTransform.offsetMax.y);
	}
}
