﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class BulletHUDScript : MonoBehaviour {

	public float amp, ampMax;

	[SerializeField]
	private PlayerScript pscript;
	private Image im;

	void Awake () {
		ampMax = pscript.ampMax;
		im = GetComponent<Image> ();
	}

	void Update () {
		amp = pscript.amp;
		im.rectTransform.sizeDelta = new Vector2 (32, 14) * Mathf.Lerp (1, 1.4f, amp / ampMax);
	}
}
